# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::ViewStatusMsgInterface Class Reference

This is an interface for retrieving status bar messages from the Document class. More...

`#include <viewstatusmsginterface.h>`

List of all members.

## Public Member Functions

unsigned int | viewStatusMsgInterfaceNumber () const
virtual void | viewStatusMsg (const class QString &msg)=0

## Protected Member Functions

void | setViewStatusMsgInterfaceDCOPSuffix (const QCString &suffix)

## Friends

class | PrivateViewStatusMsgInterface

## Detailed Description

This is an interface for retrieving status bar messages from the Document class.

Definition at line 33 of file viewstatusmsginterface.h.

The documentation for this class was generated from the following files:

- viewstatusmsginterface.h
- viewstatusmsginterface.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:19 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003